# RosterUpdatedEvent class

Triggered when the roster has been modified

Inheritance
  - Object
  - XmppEvent
  - RosterUpdatedEvent

## Constructors

RosterUpdatedEvent (List <String> removed, List <XmppRosterItem> modified, List <XmppRosterItem> added)

## Properties

added → List <XmppRosterItem>
  A list of XmppRosterItems that are added to the roster.
  final
hashCode → int
  The hash code for this object.
  no setterinherited
modified → List <XmppRosterItem>
  A list of XmppRosterItems that are modified. Can be correlated with one's cache using the jid attribute.
  final
removed → List <String>
  A list of bare JIDs that are removed from the roster
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited